@echo OFF
rem  * *******************************************************************
rem  *               ES128RW1.CMD - a Windows Command File               *
rem  *         This program is provided by SimoTime Technologies         *
rem  *           (C) Copyright 1987-2019 All Rights Reserved             *
rem  *             Web Site URL:   http://www.simotime.com               *
rem  *                   e-mail:   helpdesk@simotime.com                 *
rem  * *******************************************************************
rem  * Text   - Take file offline, reset and put back online.
rem  * Author - SimoTime Technologies
rem  * Date   - June 24, 2007
rem  *
rem  * *******************************************************************
rem  * Take an ESDS offline, Reset using IDCAMS with DELETE/DEFINE and
rem  * put the new ESDS back online.
rem  * Note: The SIMOCICA User-Defined Server Instance must be running.
rem  *
     set JobName=ES128RW1
     call ..\..\Env1BASE %JobName%
     if "%SYSLOG%" == "" set syslog=c:\SimoLIBR\LOGS\SimoTime.LOG
rem  *
     call SimoNOTE "*******************************************************%JobName%"
     call SimoNOTE "Starting JobName %JobName%"
rem  *
rem  * *******************************************************************
     call SimoNOTE "Step 1 of 3, Take File Offline..."
     call SYS1FILEDISABLE SIMOCICA ESDSC128
     if not "%ERRORLEVEL%" == "0" set JobStatus=0011
     if not "%JobStatus%" == "0000" goto :EojNOK
rem  *
rem  * *******************************************************************
     call SimoNOTE "Step 2 of 3, Reset ESDS using IDCAMS and DELETE/DEFINE..."
     call SYS1SCHEDULE SIMOCICA ES128RJ1
     if not "%ERRORLEVEL%" == "0" set JobStatus=0021
     if not "%JobStatus%" == "0000" goto :EojNOK
rem  *
rem  * *******************************************************************
     call SimoNOTE "Step 3 of 3, Put File Online..."
     call SYS1FILEENABLE SIMOCICA ESDSC128
     if not "%ERRORLEVEL%" == "0" set JobStatus=0031
     if not "%JobStatus%" == "0000" goto :EojNOK
rem  *
rem  * *******************************************************************
:EojAOK
     call SimoNOTE "Finished JobName %CmdName%, Job Status is %JobStatus%"
     goto :End
:EojNOK
     call SimoNOTE "ABENDING JobName %CmdName%, Job Status is %JobStatus%"
     goto :End
:End
     pause
